Skip to main content
`Ctrl`+`K`

# DMPlexCreateGlobalToNaturalSF

Creates the `PetscSF` for mapping Global `Vec` to the Natural `Vec`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGlobalToNaturalSF(DM dm, PetscSection section, PetscSF sfMigration, PetscSF *sfNatural)

## Input Parameters

- dm - The redistributed `DM`

- section - The local `PetscSection` describing the `Vec` before the mesh was distributed, or `NULL` if not available

- sfMigration - The `PetscSF` used to distribute the mesh, or `NULL` if it cannot be computed

## Output Parameter

- sfNatural - `PetscSF` for mapping the `Vec` in PETSc ordering to the canonical ordering

## Note

This is not typically called by the user.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscSF`, `PetscSection`, `DMPlexDistribute()`, `DMPlexDistributeField()`

## Level

intermediate

## Location

src/dm/impls/plex/plexnatural.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages